Bug 972343 - emacs-proofgeneral misses proof-site.elc and lets emacs stop loading
emacs-proofgeneral misses proof-site.elc and lets emacs stop loading
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs-common-proofgeneral (Show other bugs)
18
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Alan Dunn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 13:57 EDT by Edgar Hoch
Modified: 2013-09-03 18:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: emacs-common-proofgeneral-4.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 18:24:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edgar Hoch 2013-06-08 13:57:57 EDT
Description of problem:
Package emacs-proofgeneral installs file
/usr/share/emacs/site-lisp/site-start.d/pg-init.el
which ist loaded when emacs is started.

This file requires "proof-site" which loads
/usr/share/emacs/site-lisp/proofgeneral/generic/proof-site.elc

This file requires "proof-autoloads" which is not installed by package "emacs-proofgeneral".

Package "emacs-proofgeneral-el" contains file "proof-autoloads.el", but package "emacs-proofgeneral" does not contain "proof-autoloads.elc".


Version-Release number of selected component (if applicable):
emacs-proofgeneral-4.1-1.fc18.noarch
emacs-proofgeneral-el-4.1-1.fc18.noarch
emacs-common-proofgeneral-4.1-1.fc18.noarch


How reproducible:
Always.

Steps to Reproduce:
1. Install Package "emacs-proofgeneral", but not "emacs-proofgeneral-el".
2. Start emacs.


Actual results:
In emacs in the *Messages* buffer you see the messages:

Loading /usr/share/emacs/site-lisp/site-start.d/pg-init.el (source)...
byte-code: Cannot open load file: proof-autoloads


Expected results:
No error message.

Additional info:

I think the solution is to  byte-compiled file
/usr/share/emacs/site-lisp/proofgeneral/generic/proof-autoloads.el
to
/usr/share/emacs/site-lisp/proofgeneral/generic/proof-autoloads.elc
Then this file should be contained in and installed by package "emacs-proofgeneral".
Comment 1 Fedora Update System 2013-08-24 16:25:37 EDT
emacs-common-proofgeneral-4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/emacs-common-proofgeneral-4.2-1.fc19
Comment 2 Fedora Update System 2013-08-25 18:53:05 EDT
Package emacs-common-proofgeneral-4.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-common-proofgeneral-4.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15275/emacs-common-proofgeneral-4.2-1.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-09-03 18:24:02 EDT
emacs-common-proofgeneral-4.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.